---
title: "Import GTI Private Cloud Certificate to the Manager"
slug: "import-gti-private-cloud-certificate-to-the-manager"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:36:53Z
published: 2026-09-23T09:36:53Z
canonical: "docs.trellix.com/import-gti-private-cloud-certificate-to-the-manager"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Import GTI Private Cloud Certificate to the Manager
This URL imports the GTI private cloud certificate file to the Manager.
## Resource URL
PUT /gticonfiguration/private/importcert
## Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| MultiPart | Holds the objects of the body part | Object | Yes |
Details of BodyPart[0]:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| BodyPart[0] | Holds the file format object | Application/json object | Yes |
Details of FileFormat:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| fileName | Name of the file | String | Yes |
Details of BodyPart[1]:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| BodyPart[1] | Holds the license file as an input stream | Application/octet-stream | Yes |
Details of certificate file:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| File | The certificate file data | ByteArrayInputStream | Yes |
## Response Parameters
Following fields are returned:
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Set to 1 if the update is successful | Number |
## Example
**Request**
PUT [https:///sdkapi/gticonfiguration/private/importcert](https://%3CNSM_IP%3E/sdkapi/getclusterid)
**Payload**
```
--Boundary_1_17241377_1362484380857
Content-Type: application/json
{"fileName":"certificate.zip"}
--Boundary_1_17241377_1362484380857
Content-Type: application/octet-stream
File data
--Boundary_1_17241377_1362484380857--
```
**Response**
```
{
‘status’ : 1
}
```
## Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 500 | 1001 | Internal error |
| 2 | 400 | 5301 | Invalid file type given for import: The file name does not have any extension |
| 3 | 400 | 5301 | Invalid file type given for import expected is .zip while was provided |